summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xBiz/Ci.sh9
1 files changed, 6 insertions, 3 deletions
diff --git a/Biz/Ci.sh b/Biz/Ci.sh
index 9dbfd5b..c6b1f7a 100755
--- a/Biz/Ci.sh
+++ b/Biz/Ci.sh
@@ -9,8 +9,10 @@
# It would be cool to use a zero-knowledge proof mechanism here to prove that
# so-and-so ran the tests, but I'll have to research how to do that.
#
+# ensure we don't exit on bild failure, only on CI script error
+ set +e
+ set -u
##
- set -uo pipefail
[[ -n $(git status -s) ]] && { echo fail: dirty worktree; exit 1; }
##
at=$(date -R)
@@ -37,7 +39,6 @@
lint_result="good"
else
lint_result="fail"
- exit 1
fi
##
if bild "${BILD_ARGS:-""}" --test "${CODEROOT:?}"/**/*
@@ -45,7 +46,6 @@
test_result="good"
else
test_result="fail"
- exit 1
fi
##
read -r -d '' note <<EOF
@@ -57,3 +57,6 @@ EOF
##
git notes --ref=ci append -m "$note"
##
+# exit 1 if failure
+ [[ ! "$lint_result" == "fail" && ! "$test_result" == "fail" ]]
+##